package com.alibaba.tae.demo.rpc;

import java.io.IOException;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.alibaba.appengine.api.rpc.RpcFactory;
import com.alibaba.appengine.api.rpc.ServiceConfig;

/**
 * @author ding.lid
 */
public class RpcProvider extends HttpServlet {
    private static final Logger logger = LoggerFactory.getLogger(RpcProvider.class);
    private static final long serialVersionUID = -2359366324351384788L;

    @Override
    public void init(ServletConfig config) throws ServletException {
        super.init(config);

        ServiceConfig<HelloService> serviceConfig = new ServiceConfig<HelloService>();
        serviceConfig.setInterfaceClass(HelloService.class);
        RpcFactory.exportService(serviceConfig, new HelloServiceImpl());
    }

    @Override
    public void destroy() {
        super.destroy();
    }

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        resp.getWriter().println("server is OK");
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        doGet(req, resp);
    }
}
